#pragma once

#include "CoreMinimal.h"
#include "DBDTunableRowHandle.h"
#include "Templates/SubclassOf.h"
#include "K36EventBasedCounterStatusEffectInfo.generated.h"

class UStatusEffect;

USTRUCT(BlueprintType)
struct FK36EventBasedCounterStatusEffectInfo
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle StatusEffectLifetime;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle CustomParamValue;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSubclassOf<UStatusEffect> StatusEffectClass;

public:
	THEK36_API FK36EventBasedCounterStatusEffectInfo();
};

FORCEINLINE uint32 GetTypeHash(const FK36EventBasedCounterStatusEffectInfo) { return 0; }
